clear 
clc

OBJFile = 'quad50t.obj';
OBJFileLIM = 'quad50tLIM1.obj';
nV = 51*51;
nF = 5000;


restOBJ = importdata(OBJFile);
restV = restOBJ.data(1:nV,1:2);
restF = restOBJ.data(nV+1:nV+nF,:);

LIMOBJ = importdata(OBJFileLIM);
LIMV = LIMOBJ.data(1:nV,1:2);


exR = zeros(4*nF,1);
for i=1:nF
    exR(4*i-3)=1.0;
    exR(4*i  )=1.0;
end


visualizeDistort( restV, restF, LIMV, exR);
caxis([0 5]);
axis equal;
